const catNavs = [
  {
    name: 'twstock',
    url: 'http://www.cnyes.com/twstock/index.htm?ga=nav',
    title: '台股',
    external: true,
    subItems: [
      {
        name: 'twstock_sub',
        url: 'https://www.cnyes.com/twstock/traderoom.aspx',
        title: '看盤室',
        external: true,
      },
      {
        name: 'twstock_sub1',
        url: 'http://news.cnyes.com/news/cat/tw_stock_news',
        title: '新聞',
        external: true,
      },
      {
        name: 'twstock_sub2',
        url: 'http://www.cnyes.com/twstock/idx_listed.aspx?code=0000T',
        title: '大盤',
        external: true,
      },
      {
        name: 'twstock_sub3',
        url: 'http://www.cnyes.com/twstock/Index2Real_idx.htm?ga=nav',
        title: '類股',
        external: true,
      },
      {
        name: 'twstock_sub4',
        url: 'http://www.cnyes.com/twstock/ranking.aspx?ga=nav',
        title: '盤後統計',
        external: true,
      },
      {
        name: 'twstock_sub6',
        url: 'http://www.cnyes.com/report/rsh_stock_tw.aspx?ga=nav',
        title: '研究報告',
        external: true,
      },
      {
        name: 'twstock_sub7',
        url: 'http://www.cnyes.com/twstock/board/dsptable.aspx?ga=nav',
        title: '公告',
        external: true,
      },
      {
        name: 'twstock_sub8',
        url: 'http://www.cnyes.com/twstock/board/board.aspx?ga=nav',
        title: '行事曆',
        external: true,
      },
    ],
  },
  {
    name: 'stock_astock',
    url: 'http://www.cnyes.com/twstock/stock_astock.aspx?ga=nav',
    title: '個股',
    external: true,
  },
  {
    name: 'my_twstock',
    url: 'http://www.cnyes.com/personal/mycnyes/my_twstock.asp?ga=nav',
    title: '自選股',
    external: true,
  },
  {
    name: 'traderoom',
    url: 'http://www.cnyes.com/twstock/traderoom.aspx?ga=nav',
    title: '台股看盤室',
    external: true,
  },
  {
    name: 'twfutures',
    url: 'http://www.cnyes.com/twfutures/index.htm?ga=nav',
    title: '台期指',
    external: true,
    subItems: [
      {
        name: 'tw_quo',
        url: 'http://news.cnyes.com/news/cat/tw_quo?exp=b',
        title: '新聞',
        external: true,
      },
      {
        name: 'FidelityAsiaBond',
        url: 'http://www.cnyes.com/twfutures/quote_future.aspx',
        title: '行情報價',
        external: true,
      },
      {
        name: 'rsh_futures',
        url: 'http://www.cnyes.com/report/rsh_futures.aspx?ga=nav',
        title: '研究報告',
        external: true,
      },
      {
        name: 'global_future',
        url: 'http://www.cnyes.com/twfutures/global_future.aspx?ga=nav',
        title: '全球股市期指',
        external: true,
      },
    ],
  },
  {
    name: 'presh',
    url: 'http://www.cnyes.com/presh/index.htm?ga=nav',
    title: '興櫃',
    external: true,
    subItems: [
      {
        name: 'presh_news',
        url: 'http://news.cnyes.com/news/cat/tw_stock_news',
        title: '興櫃新聞',
        external: true,
      },
      {
        name: 'emerging_price',
        url: 'http://www.cnyes.com/presh/emerging_price.aspx?ga=nav',
        title: '興櫃報價',
        external: true,
      },
      {
        name: 'emerging_stock_list',
        url: 'http://www.cnyes.com/presh/emerging_stock_list.aspx?ga=nav',
        title: '個股',
        external: true,
      },
      {
        name: 'ranking_up',
        url: 'http://www.cnyes.com/presh/ranking/ranking_up.aspx?ga=nav',
        title: '排行榜',
        external: true,
      },
      {
        name: 'institutional',
        url: 'http://www.cnyes.com/presh/institutional/institutional.aspx?ga=nav',
        title: '法人進出',
        external: true,
      },
      {
        name: 'emerging_preipo',
        url: 'http://www.cnyes.com/presh/emerging/emerging_preipo.aspx?ga=nav',
        title: '準上櫃上市',
        external: true,
      },
      {
        name: 'steatement',
        url: 'http://www.cnyes.com/presh/steatement/steatement.aspx?ga=nav',
        title: '行事曆',
        external: true,
      },
      {
        name: 'emerging_room',
        url: 'http://www.cnyes.com/presh/school/emerging_room.aspx?ga=nav',
        title: '興櫃教室',
        external: true,
      },
    ],
  },
  {
    name: 'pre',
    url: 'http://www.cnyes.com/pre/index.htm?ga=nav',
    title: '未上市',
    external: true,
    subItems: [
      {
        name: 'hotnews',
        url: 'http://www.cnyes.com/pre/hotnews.aspx#1428',
        title: '未上市最新消息',
        external: true,
      },
      {
        name: 'pre_news',
        url: 'http://news.cnyes.com/news/cat/tw_stock_news',
        title: '未上市新聞',
        external: true,
      },
      {
        name: 'rank',
        url: 'http://www.cnyes.com/pre/rank.aspx#2633',
        title: '未上市熱門排行榜',
        external: true,
      },
      {
        name: 'astock',
        url: 'http://www.cnyes.com/pre/astock.aspx#600',
        title: '個股查詢',
        external: true,
      },
      {
        name: 'PutOrder',
        url: 'http://www.berich.com.tw/AG/Cnyes2/ToOrder/PutOrder.asp?ga=nav',
        title: '線上掛單',
        external: true,
      },
      {
        name: 'rank2',
        url: 'http://www.cnyes.com/pre/rank2.aspx#2633',
        title: '未上市掛單排行',
        external: true,
      },
    ],
  },
  {
    name: 'StockQ',
    url: 'http://money.cnyes.com/StockQ.aspx?ga=nav',
    title: 'StockQ',
    external: true,
  },
];

export default catNavs;
